package com.example.countersample;

import java.util.ArrayList;

import android.app.ListActivity;
import android.os.Bundle;
import android.os.Handler;
import android.os.Message;
import android.util.Log;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ArrayAdapter;
import android.widget.Button;

import com.honeywell.sdk.counterreader.CountConst;
import com.honeywell.sdk.counterreader.CounterReader;

public class CounterSample extends ListActivity {
	private final String TAG = "CounterSample";
	//private final int maxint = CountConst.SPT_COUNTER_NO_DECODE_TIME;
	String[] labels = new String[163];
	private  ArrayList<String> labellist=  new ArrayList<String>(163);
	Button mButton ;
	private CounterReader mReader;
	private boolean isCounterReady = false;
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		mButton = (Button)findViewById(R.id.button1);
		mButton.setOnClickListener(new OnClickListener(){

			@Override
			public void onClick(View arg0) {
				// TODO Auto-generated method stub
				populateList();
			}});
		mReader = new CounterReader(this,mHandler);
		populateList();
		String[] array =labellist.toArray(new String[labellist.size()]);
		setListAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, array));
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}
	
	private void populateList(){
		labellist.clear();
		if (!isCounterReady){
			
			labellist.add("No Counter ready") ;
		}else{
			synchronized(labels){
				for (int i = 1; i<= CountConst.SPT_COUNTER_NO_DECODE_TIME; i ++){
					labellist.add("Counter " + i + " = " + mReader.readCounter(i));
					//labels[i -1] = "Counter " + i + " = " + mReader.readCounter(i);
				}
				((ArrayAdapter)this.getListAdapter()).notifyDataSetChanged();
			}		
		}
		String[] array =labellist.toArray(new String[labellist.size()]);
		setListAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, array));

	}
	
	private Handler mHandler = new Handler() {
		@Override
		public void handleMessage(Message msg) {
			switch (msg.what) {
			case CountConst.MESSAGE_COUNTER_READY:
				isCounterReady = true;
				break;
			
			}
		}
	};

}
