
package com.honeywell.samples.imagingsample;

import android.os.Environment;

import java.io.File;

public interface IConsteValue {

    final int TYPE_FILE = 1;

    final int TYPE_IMAGE = 2;

    final int TYPE_SETUP = 3;

    final int TYPE_HELP = 4;

    final int IMAGE_BMP = 5;

    final String PNGEXT = ".png";

    final String JPGEXT = ".jpg";

    final String JPEGEXT = ".jpeg";

    final int MESSAGE_OPEN_IMAGE = 1;

    final int MESSAGE_AUTO_CAPTURE = 2;

    // image result
    /**
     * Message code which informs user that it's time to re-launch previewing
     * mode .
     */
    final int ImagingResult_Succeed = 0;

    final int ImagingResult_Fail = -1;

    final int DEFULT_PROFILE = 5;

    final int WIDTH = 480;

    final int MAX_WIDTH = 960;

    final int MIN_WIDTH = 240;

    final int HEIGHT = 564;

    final int PREVIEW_RATIO = 4;

    final String ACTION_IMAGING = "com.honeywell.imagingservice.startimaging";

    final String IMAGING_SERVICE = "com.honeywell.imagingservice.ImagingService";

    final String STRING_IMAGE_FOLDER = Environment.getExternalStorageDirectory().toString()
            + File.separatorChar + "honeywell" + File.separatorChar + "imagedemo";

    // for sharedference key
    final String KEY_AIMR = "aimr";

    final String KEY_ILLUMINATION = "illumination";

    final String KEY_SOUND = "sound";

    final String KEY_ZOOM = "zoom";

    final String KEY_AOTU = "auto";

    final String KEY_PROFILE = "profile";

    final String NOT_FILE_SELECTED = "no file selected";

    final static boolean DEBUG = false;

    final static boolean DEFINE_PROFILE = false;

    final static boolean DEFINE_LIGHT = true;

    // This is for result code from imaging layer
    public static final int RESSULT_STOPCANNING_ERROR = -3;

    public static final int RESSULT_STARTSCANNING_ERROR = -2;

    public static final int RESULT_INITIALIZE = -1;

    public static final int RESULT_SUCCESS = 0; // Operation was successful

    public static final int RESULT_ERR_BADREGION = 1; // An image was requested
                                                      // using an invalid image
                                                      // region

    public static final int RESULT_ERR_DRIVER = 2; // Error detected in image
                                                   // engine driver

    public static final int RESULT_ERR_ENGINEBUSY = 3; // Image engine driver
                                                       // reported busy

    public static final int RESULT_ERR_MEMORY = 4; // Memory allocation failed

    public static final int RESULT_ERR_NODECODE = 5; // Image engine unable to
                                                     // decode a symbology

    public static final int RESULT_ERR_NOIMAGE = 6; // No image available

    public static final int RESULT_ERR_NORESPONSE = 7; // Could not communicate
                                                       // with imager

    public static final int RESULT_ERR_NOTCONNECTED = 8; // Not connected to
                                                         // image engine

    public static final int RESULT_ERR_PARAMETER = 9; // One of the function
                                                      // parameters was invalid

    public static final int RESULT_ERR_UNSUPPORTED = 10; // The operation was
                                                         // not supported by the
                                                         // engine

    public static final int RESULT_ERR_NOTRIGGER = 11; // Trigger state is false

    public static final int RESULT_ERR_BADSMARTIMAGE = 12; // IQ image fail

    public static final int RESULT_ERR_SMARTIMAGETOOLARGE = 13; // Requested IQ
                                                                // image too
                                                                // large

    public static final int RESULT_ERR_TOO_MUCH_INTERPOLATION = 14; // IQ image
                                                                    // fail

    public static final int RESULT_ERR_WRONGRESULTSTRUCT = 15; // Invalid
                                                               // structure size

    public static final int RESULT_ERR_THREAD = 16; // Could not create async
                                                    // decode thread

    public static final int RESULT_ERR_CANCEL = 17; // Asynchronous decode was
                                                    // canceled

    public static final int RESULT_ERR_EXCEPTION = 18; // An exception was
                                                       // detected in the deoder

    public static final int RESULT_ERR_UNSUPPORTED_IQ_BARCODE = 19; // Scanned
                                                                    // barcode
                                                                    // is not a
                                                                    // valid IQ
                                                                    // host
                                                                    // barcode

    public static final int RESULT_ERR_LOAD_EXMFILE = 20; // Error loading EXM
                                                          // file.

    public static final int RESULT_ERR_EXMFILE_INVALID = 21; // Not a valid
                                                             // configuration
                                                             // file.

    public static final int RESULT_ERR_MISSING_EXMSECTION = 22; // Section
                                                                // missing from
                                                                // exm file.

    public static final int RESULT_ERR_PROCESSING_EXMSECTION = 23; // Error
                                                                   // processing
                                                                   // exm file
                                                                   // section

    // Engine ID
    public static final int IMAGER_UNKNOWN = -1;

    public static final int IMAGER_NONE = 0;

    public static final int IMAGER_4200_ENGINE = 1;

    public static final int LASER_SE1200_ENGINE = 2;

    public static final int LASER_SE1223_ENGINE = 3;

    public static final int IMAGER_IT4000_ENGINE = 5;

    public static final int IMAGER_IT4100_ENGINE = 6;

    public static final int IMAGER_IT4300_ENGINE = 7;

    public static final int IMAGER_IT5100_ENGINE = 8;

    public static final int IMAGER_IT5300_ENGINE = 9;

    public static final int IMAGER_N5603_ENGINE = 12;

    public static final int IMAGER_N5600_ENGINE = 13;

    // Engine types
    public static final int ET_UNKNOWN = -1;

    public static final int ET_NONE = 0;

    public static final int ET_IMAGER = 1;

    public static final int ET_LASER = 2;

    // Aimer Types
    public static final int QT_DEFAULT = 0;

    public static final int QT_CURRENT = 1;

    public final int BUTTON_TYPE_BOTTOM = 0;

    public final int BUTTON_TYPE_PROFILE = 1;

    final int MESSAGE_ZOOMIN = 90;

    final int MESSAGE_ZOOMOUT = 98;

}
